#
# spec file for package perl-Business-ISBN
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Business-ISBN
Version:        3.004
Release:        lp152.3.2
%define cpan_name Business-ISBN
Summary:        Work with International Standard Book Numbers
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Business-ISBN/
Source0:        https://cpan.metacpan.org/authors/id/B/BD/BDFOY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Business::ISBN::Data) >= 20140910.002
BuildRequires:  perl(Test::More) >= 0.95
Requires:       perl(Business::ISBN::Data) >= 20140910.002
%{perl_requires}

%description
This modules handles International Standard Book Numbers, including ISBN-10
and ISBN-13.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc bad-isbn13s.txt bad-isbns.txt Changes examples isbn13s.txt isbns.txt
%license LICENSE

%changelog
* Tue Apr 25 2017 coolo@suse.com
- updated to 3.004
  see /usr/share/doc/packages/perl-Business-ISBN/Changes
  3.004 2017-04-24T20:02:52Z
  * Remove Mojo dependencies after splitting out Business::xISBN
  (Michiel Beijen)
  * Remove unneeded code from the checksumming stuff (Mike O'Regan)
  * We now test on Windows through AppVeyor
* Wed Sep 21 2016 coolo@suse.com
- updated to 3.003
  see /usr/share/doc/packages/perl-Business-ISBN/Changes
  3.003 2016-09-19T22:03:24Z
  * Clarify everywhere that I'm using Artistic License 2.0
* Thu Aug 11 2016 coolo@suse.com
- updated to 3.002
  see /usr/share/doc/packages/perl-Business-ISBN/Changes
* Sun Sep 21 2014 lars@linux-schulserver.de
- update to 2.09:
  * Break circular dependency on Test::ISBN
  * Add increment and decrement to create new article numbers
    (Markus Spann)
- require Business::ISBN::Data >= 20140910
- also build require perl(GD) and perl(GD::Barcode::EAN13) for
  Barcode testing
* Sat Jan  4 2014 lars@linux-schulserver.de
- update to 2.07
  + Get rid of MYMETA
* Fri Jun 14 2013 coolo@suse.com
- updated to 2.06
  * Fix test with now-valid group code (RT 78671)
  * Update the URL for the Worldcat stuff so xisbn works.
  * Various distro cleanups.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Aug 24 2011 chris@computersalat.de
- fix build for CentOS
  * Unknown tag: Recommends:
- cleanup spec
  * header
  * remove Author from desc
  * macros
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Sep  4 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- fix deps
* Sun Aug 30 2009 lars@linux-schulserver.de
- hardcode perl-libwww-perl requirement
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- update to 2.05
  - 2.05 - Sun Jan 25 00:00:17 2009
  * Updated for latest data in Business::ISBN::Data
  - 2.04_01 - Mon Oct 27 12:08:03 2008
  * Revert the GD prereq. A lot of testers have borked GD
    installs.
  * Require 5.8. Some of the new stuff isn't playing well with
    5.6
  - 2.04 - Sun Oct 26 18:29:20 2008
  * Fix tests that used 99902 as a bad prefix. That now
    belongs to Gabon.
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
* Wed May  7 2008 lrupp@suse.de
- update to 2.03
  * Fixed minor distro problems
  * Explore RT #29292. I don't seem to have the problem with
    hyphens for ISBN-13, but let's see what CPAN Testers has to
    say
  * [BUGFIX] ISBN13 was returing "Bookland" for all groups, but
    it shouldn't do that. Now it returns the same thing you'd
    get from ISBN10 (e.g. "English", "German", ... ).
  * [BUGFIX] RT 29089 - I had the wrong _max_length for ISBN13.
    That 13 is the hint that it should be 13. :)
  * [FEATURE] added exportable function valid_isbn_checksum that
    takes care of all of the object stuff for you and just gives
    you the answer. In previous docs, this was called is_valid_checksum
    even though that conflicted with an object method. It was
    documented but never implemented. Now it's there. :)
  * [BUGFIX] now should pass tests under 5.6.2, after a bit of
    backporting. Upgrade already people! :)
  * Don't import import() from Exporter. There are a lot of people
    (apparently) using very old perls, not just CPAN Testers.
  * fixes RT #28843: an ISBN-13 with a bad prefix shouldn't croak,
    but return an object that explains the error.
  * Official release of Business::ISBN to handle ISBN-13
  * Does not handle 979- numbers yet (need publisher data for that)
  * Does handle 978-numbere, which is the 10 digit ISBN with a
    different "country code", so it uses the same publisher data
  * There are significant API changes to handle the new stuff. It's
    not so bad, but test it before you rip out the old Business::ISBN
    stuff.
  * Completely redone internals to handle ISBN-10 and ISBN-13
  * Some interface changes to Business::ISBN 1.x
  * Removed exportable functions.
* Mon Jul 23 2007 lrupp@suse.de
- initial package 1.84
